Commits

Jan Lahoda committed 51ad7fd

More updates to build language frontend

  • Participants
  • Parent commits d4471c4

Comments (0)

Files changed (2)

File language/build.sh

 #!/bin/bash
 (cd ide; ant "$@" clean && ant "$@" nbms && ant "$@" test) || exit 1
+(cd server/web/language.web.api; ant "$@" clean && ant "$@") || exit 1
 

File remoting/post-build.sh

 cp -r ../language/ide/build/cluster/* build/indexing-backend/indexer/indexer
 cp -r ../duplicates/server/web/*/dist/*.jar build/indexing-backend/web/lib
 cp -r ../language/server/web/*/dist/*.jar build/indexing-backend/web/lib
+cp -r ../language/server/web/*/dist/lib/*.jar build/indexing-backend/web/lib
 
 (cd build; zip -r indexing-backend-feature-packed.zip indexing-backend) || exit 1
 (cd build; zip -r indexing-backend-feature-packed-shortened.zip `find indexing-backend -type f | grep -v indexing-backend/indexer/enterprise/ | grep -v indexing-backend/indexer/apisupport/  | grep -v indexing-backend/indexer/cnd/   | grep -v indexing-backend/indexer/dlight/   | grep -v indexing-backend/indexer/harness/   | grep -v indexing-backend/indexer/ide/   | grep -v indexing-backend/indexer/java   | grep -v indexing-backend/indexer/nb/   | grep -v indexing-backend/indexer/platform/   | grep -v indexing-backend/indexer/profiler/   | grep -v indexing-backend/indexer/websvccommon/`) || exit 1